﻿// <auto-generated />
using System;
using Kempus.EntityFramework;
using Microsoft.EntityFrameworkCore;
using Microsoft.EntityFrameworkCore.Infrastructure;
using Microsoft.EntityFrameworkCore.Migrations;
using Microsoft.EntityFrameworkCore.Storage.ValueConversion;

#nullable disable

namespace Kempus.EntityFramework.Migrations
{
    [DbContext(typeof(MasterDbContext))]
    [Migration("20230202075527_Alter_CourseTbl_Add_IsImportedColumn")]
    partial class Alter_CourseTbl_Add_IsImportedColumn
    {
        protected override void BuildTargetModel(ModelBuilder modelBuilder)
        {
#pragma warning disable 612, 618
            modelBuilder
                .HasAnnotation("ProductVersion", "6.0.11")
                .HasAnnotation("Relational:MaxIdentifierLength", 64);

            modelBuilder.Entity("Kempus.Entities.ApplicationUser", b =>
                {
                    b.Property<long>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("bigint");

                    b.Property<int>("AccessFailedCount")
                        .HasColumnType("int");

                    b.Property<string>("AdminMemory")
                        .HasColumnType("longtext");

                    b.Property<int?>("ClassYear")
                        .HasColumnType("int");

                    b.Property<string>("ConcurrencyStamp")
                        .IsConcurrencyToken()
                        .HasColumnType("longtext");

                    b.Property<int>("ConsecutiveLogin")
                        .HasColumnType("int");

                    b.Property<Guid?>("CreatedBy")
                        .HasColumnType("char(36)");

                    b.Property<DateTime>("CreatedDate")
                        .HasColumnType("datetime(6)");

                    b.Property<Guid?>("DegreeId")
                        .HasColumnType("char(36)");

                    b.Property<Guid?>("DeletedBy")
                        .HasColumnType("char(36)");

                    b.Property<DateTime?>("DeletedDate")
                        .HasColumnType("datetime(6)");

                    b.Property<string>("Email")
                        .HasMaxLength(256)
                        .HasColumnType("varchar(256)");

                    b.Property<bool>("EmailConfirmed")
                        .HasColumnType("tinyint(1)");

                    b.Property<int>("FailedLoginCount")
                        .HasColumnType("int");

                    b.Property<string>("FirstName")
                        .HasColumnType("longtext");

                    b.Property<Guid?>("InviterGuid")
                        .HasColumnType("char(36)");

                    b.Property<string>("InviterReferralCode")
                        .HasColumnType("longtext");

                    b.Property<bool>("IsDeleted")
                        .HasColumnType("tinyint(1)");

                    b.Property<bool?>("IsHiddenClassYear")
                        .HasColumnType("tinyint(1)");

                    b.Property<bool>("IsHiddenDegree")
                        .HasColumnType("tinyint(1)");

                    b.Property<bool>("IsHiddenMajor")
                        .HasColumnType("tinyint(1)");

                    b.Property<DateTime?>("LastAccessTime")
                        .HasColumnType("datetime(6)");

                    b.Property<DateTime?>("LastChangeClassYear")
                        .HasColumnType("datetime(6)");

                    b.Property<DateTime?>("LastChangeNickname")
                        .HasColumnType("datetime(6)");

                    b.Property<DateTime?>("LastChangedDegree")
                        .HasColumnType("datetime(6)");

                    b.Property<DateTime?>("LastChangedMajor")
                        .HasColumnType("datetime(6)");

                    b.Property<string>("LastLoginIP")
                        .HasColumnType("longtext");

                    b.Property<string>("LastName")
                        .HasColumnType("longtext");

                    b.Property<bool>("LockoutEnabled")
                        .HasColumnType("tinyint(1)");

                    b.Property<DateTimeOffset?>("LockoutEnd")
                        .HasColumnType("datetime(6)");

                    b.Property<Guid?>("MajorId")
                        .HasColumnType("char(36)");

                    b.Property<string>("NickName")
                        .HasColumnType("longtext");

                    b.Property<string>("NormalizedEmail")
                        .HasMaxLength(256)
                        .HasColumnType("varchar(256)");

                    b.Property<string>("NormalizedUserName")
                        .HasMaxLength(256)
                        .HasColumnType("varchar(256)");

                    b.Property<string>("OtpCode")
                        .HasColumnType("longtext");

                    b.Property<DateTime?>("OtpCreatedTime")
                        .HasColumnType("datetime(6)");

                    b.Property<string>("PasswordHash")
                        .HasColumnType("longtext");

                    b.Property<string>("PhoneNumber")
                        .HasColumnType("longtext");

                    b.Property<bool>("PhoneNumberConfirmed")
                        .HasColumnType("tinyint(1)");

                    b.Property<string>("ReferralCode")
                        .HasColumnType("longtext");

                    b.Property<string>("ResetPasswordCode")
                        .HasColumnType("longtext");

                    b.Property<Guid>("SchoolId")
                        .HasColumnType("char(36)");

                    b.Property<string>("SecurityStamp")
                        .HasColumnType("longtext");

                    b.Property<byte>("Status")
                        .HasColumnType("tinyint unsigned");

                    b.Property<bool>("TwoFactorEnabled")
                        .HasColumnType("tinyint(1)");

                    b.Property<Guid?>("UpdatedBy")
                        .HasColumnType("char(36)");

                    b.Property<DateTime?>("UpdatedDate")
                        .HasColumnType("datetime(6)");

                    b.Property<Guid>("UserId")
                        .HasColumnType("char(36)");

                    b.Property<string>("UserName")
                        .HasMaxLength(256)
                        .HasColumnType("varchar(256)");

                    b.Property<byte>("UserType")
                        .HasColumnType("tinyint unsigned");

                    b.Property<Guid?>("UserWalletId")
                        .HasColumnType("char(36)");

                    b.HasKey("Id");

                    b.HasIndex("NormalizedEmail")
                        .HasDatabaseName("EmailIndex");

                    b.HasIndex("NormalizedUserName")
                        .IsUnique()
                        .HasDatabaseName("UserNameIndex");

                    b.ToTable("AspNetUsers", (string)null);

                    b.HasData(
                        new
                        {
                            Id = 1L,
                            AccessFailedCount = 0,
                            ConcurrencyStamp = "5912dfc9-e57b-4ec8-836d-09217905f60c",
                            ConsecutiveLogin = 0,
                            CreatedDate = new DateTime(2022, 11, 9, 0, 0, 0, 0, DateTimeKind.Unspecified),
                            Email = "super_admin_1@kempus.com",
                            EmailConfirmed = true,
                            FailedLoginCount = 0,
                            IsDeleted = false,
                            IsHiddenDegree = false,
                            IsHiddenMajor = false,
                            LockoutEnabled = false,
                            NickName = "SPAM01",
                            PasswordHash = "AQAAAAEAACcQAAAAEPRv9S2d+SnlsppkveTMxxb3OVOJ3Djyf82B6x+Yw5Ibei7+9wuC4ibhBFYWCPBk7w==",
                            PhoneNumberConfirmed = false,
                            SchoolId = new Guid("00000000-0000-0000-0000-000000000000"),
                            SecurityStamp = "3aee43b8-5b68-4464-be16-843b2ec26637",
                            Status = (byte)0,
                            TwoFactorEnabled = false,
                            UserId = new Guid("36a4cb3a-72b4-49e2-a302-f360ffd805f7"),
                            UserName = "SuperAdmin1",
                            UserType = (byte)1
                        });
                });

            modelBuilder.Entity("Kempus.Entities.BannerEntity", b =>
                {
                    b.Property<long>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("bigint");

                    b.Property<Guid>("CreatedBy")
                        .HasColumnType("char(36)");

                    b.Property<DateTime>("CreatedDate")
                        .HasColumnType("datetime(6)");

                    b.Property<Guid>("DeletedBy")
                        .HasColumnType("char(36)");

                    b.Property<DateTime?>("DeletedDate")
                        .HasColumnType("datetime(6)");

                    b.Property<Guid>("Guid")
                        .HasColumnType("char(36)");

                    b.Property<bool>("IsDeleted")
                        .HasColumnType("tinyint(1)");

                    b.Property<string>("MobileBannerFileName")
                        .HasColumnType("longtext");

                    b.Property<string>("MobileUrl")
                        .HasColumnType("longtext");

                    b.Property<string>("RedirectUrl")
                        .HasColumnType("longtext");

                    b.Property<Guid>("SchoolId")
                        .HasColumnType("char(36)");

                    b.Property<byte>("Status")
                        .HasColumnType("tinyint unsigned");

                    b.Property<Guid>("UpdatedBy")
                        .HasColumnType("char(36)");

                    b.Property<DateTime?>("UpdatedDate")
                        .HasColumnType("datetime(6)");

                    b.Property<byte>("UrlType")
                        .HasColumnType("tinyint unsigned");

                    b.Property<string>("WebBannerFileName")
                        .HasColumnType("longtext");

                    b.Property<string>("WebUrl")
                        .HasColumnType("longtext");

                    b.HasKey("Id");

                    b.HasIndex("IsDeleted");

                    b.ToTable("Banners");
                });

            modelBuilder.Entity("Kempus.Entities.BellNotificationEntity", b =>
                {
                    b.Property<long>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("bigint");

                    b.Property<Guid>("CreatedBy")
                        .HasColumnType("char(36)");

                    b.Property<DateTime>("CreatedDate")
                        .HasColumnType("datetime(6)");

                    b.Property<Guid>("DeletedBy")
                        .HasColumnType("char(36)");

                    b.Property<DateTime?>("DeletedDate")
                        .HasColumnType("datetime(6)");

                    b.Property<string>("Description")
                        .HasColumnType("longtext");

                    b.Property<Guid>("Guid")
                        .HasColumnType("char(36)");

                    b.Property<bool>("IsDeleted")
                        .HasColumnType("tinyint(1)");

                    b.Property<Guid?>("ObjectId")
                        .HasColumnType("char(36)");

                    b.Property<byte?>("ObjectTypeId")
                        .HasColumnType("tinyint unsigned");

                    b.Property<DateTime?>("ScheduledDate")
                        .HasColumnType("datetime(6)");

                    b.Property<string>("SchoolIds")
                        .HasColumnType("longtext");

                    b.Property<byte?>("Status")
                        .HasColumnType("tinyint unsigned");

                    b.Property<string>("Title")
                        .IsRequired()
                        .HasColumnType("longtext");

                    b.Property<byte>("Type")
                        .HasColumnType("tinyint unsigned");

                    b.Property<Guid>("UpdatedBy")
                        .HasColumnType("char(36)");

                    b.Property<DateTime?>("UpdatedDate")
                        .HasColumnType("datetime(6)");

                    b.Property<string>("UrlLink")
                        .HasColumnType("longtext");

                    b.HasKey("Id");

                    b.HasIndex("IsDeleted");

                    b.HasIndex("Guid", "ObjectTypeId", "ObjectId");

                    b.ToTable("BellNotifications");
                });

            modelBuilder.Entity("Kempus.Entities.BellNotificationLastViewEntity", b =>
                {
                    b.Property<Guid>("CreatedUser")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("char(36)");

                    b.Property<DateTime>("LastViewDateTime")
                        .HasColumnType("datetime(6)");

                    b.HasKey("CreatedUser");

                    b.HasIndex("CreatedUser");

                    b.ToTable("BellNotificationLastViews");
                });

            modelBuilder.Entity("Kempus.Entities.BellNotificationUserEntity", b =>
                {
                    b.Property<long>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("bigint");

                    b.Property<Guid>("BellNotificationId")
                        .HasColumnType("char(36)");

                    b.Property<Guid>("CreatedUser")
                        .HasColumnType("char(36)");

                    b.Property<DateTime?>("DeletedDate")
                        .HasColumnType("datetime(6)");

                    b.Property<Guid>("Guid")
                        .HasColumnType("char(36)");

                    b.Property<bool>("IsDeleted")
                        .HasColumnType("tinyint(1)");

                    b.Property<bool>("IsRead")
                        .HasColumnType("tinyint(1)");

                    b.Property<DateTime?>("ReadDate")
                        .HasColumnType("datetime(6)");

                    b.HasKey("Id");

                    b.HasIndex("IsDeleted");

                    b.HasIndex("Guid", "BellNotificationId", "CreatedUser");

                    b.ToTable("BellNotificationUsers");
                });

            modelBuilder.Entity("Kempus.Entities.BookmarkEntity", b =>
                {
                    b.Property<Guid>("Guid")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("char(36)");

                    b.Property<DateTime>("CreatedDate")
                        .HasColumnType("datetime(6)");

                    b.Property<Guid>("ObjectId")
                        .HasColumnType("char(36)");

                    b.Property<byte>("ObjectType")
                        .HasColumnType("tinyint unsigned");

                    b.Property<Guid>("UserId")
                        .HasColumnType("char(36)");

                    b.HasKey("Guid");

                    b.HasIndex("UserId", "ObjectId", "ObjectType");

                    b.ToTable("Bookmarks");
                });

            modelBuilder.Entity("Kempus.Entities.CourseEntity", b =>
                {
                    b.Property<long>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("bigint");

                    b.Property<Guid>("CreatedBy")
                        .HasColumnType("char(36)");

                    b.Property<DateTime>("CreatedDate")
                        .HasColumnType("datetime(6)");

                    b.Property<long>("CsvRowIndex")
                        .HasColumnType("bigint");

                    b.Property<Guid?>("DegreeId")
                        .HasColumnType("char(36)");

                    b.Property<Guid>("DeletedBy")
                        .HasColumnType("char(36)");

                    b.Property<DateTime?>("DeletedDate")
                        .HasColumnType("datetime(6)");

                    b.Property<Guid?>("DepartmentId")
                        .HasColumnType("char(36)");

                    b.Property<Guid?>("FileUploadTrackingId")
                        .HasColumnType("char(36)");

                    b.Property<byte>("GeneratedTypeId")
                        .HasColumnType("tinyint unsigned");

                    b.Property<Guid>("Guid")
                        .HasColumnType("char(36)");

                    b.Property<string>("IdImported")
                        .HasColumnType("varchar(255)");

                    b.Property<bool>("IsActivated")
                        .HasColumnType("tinyint(1)");

                    b.Property<bool>("IsDeleted")
                        .HasColumnType("tinyint(1)");

                    b.Property<Guid?>("MajorId")
                        .HasColumnType("char(36)");

                    b.Property<string>("Name")
                        .HasColumnType("longtext");

                    b.Property<Guid?>("SchoolId")
                        .HasColumnType("char(36)");

                    b.Property<Guid>("UpdatedBy")
                        .HasColumnType("char(36)");

                    b.Property<DateTime?>("UpdatedDate")
                        .HasColumnType("datetime(6)");

                    b.HasKey("Id");

                    b.HasIndex("Guid");

                    b.HasIndex("IdImported")
                        .IsUnique();

                    b.HasIndex("IsDeleted");

                    b.ToTable("Courses");
                });

            modelBuilder.Entity("Kempus.Entities.CourseInstructorEntity", b =>
                {
                    b.Property<long>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("bigint");

                    b.Property<Guid>("CourseId")
                        .HasColumnType("char(36)");

                    b.Property<Guid>("CreatedBy")
                        .HasColumnType("char(36)");

                    b.Property<DateTime>("CreatedDate")
                        .HasColumnType("datetime(6)");

                    b.Property<Guid>("DeletedBy")
                        .HasColumnType("char(36)");

                    b.Property<DateTime?>("DeletedDate")
                        .HasColumnType("datetime(6)");

                    b.Property<Guid>("Guid")
                        .HasColumnType("char(36)");

                    b.Property<Guid>("InstructorId")
                        .HasColumnType("char(36)");

                    b.Property<bool>("IsDeleted")
                        .HasColumnType("tinyint(1)");

                    b.Property<Guid>("UpdatedBy")
                        .HasColumnType("char(36)");

                    b.Property<DateTime?>("UpdatedDate")
                        .HasColumnType("datetime(6)");

                    b.HasKey("Id");

                    b.HasIndex("IsDeleted");

                    b.HasIndex("Guid", "InstructorId", "CourseId");

                    b.ToTable("CourseInstructor");
                });

            modelBuilder.Entity("Kempus.Entities.CourseReview6MonthActivityEntity", b =>
                {
                    b.Property<long>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("bigint");

                    b.Property<byte>("ActionId")
                        .HasColumnType("tinyint unsigned");

                    b.Property<Guid>("CourseReviewId")
                        .HasColumnType("char(36)");

                    b.Property<DateTime>("CreatedDate")
                        .HasColumnType("datetime(6)");

                    b.Property<Guid>("Guid")
                        .HasColumnType("char(36)");

                    b.Property<Guid>("SchoolId")
                        .HasColumnType("char(36)");

                    b.Property<Guid>("UserId")
                        .HasColumnType("char(36)");

                    b.HasKey("Id");

                    b.HasIndex("CourseReviewId", "SchoolId", "ActionId");

                    b.ToTable("CourseReview6MonthActivities");
                });

            modelBuilder.Entity("Kempus.Entities.CourseReviewActivitySummaryEntity", b =>
                {
                    b.Property<Guid>("CourseReviewId")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("char(36)");

                    b.Property<DateTime>("CreatedDate")
                        .HasColumnType("datetime(6)");

                    b.Property<DateTime?>("LatestLikeOn")
                        .HasColumnType("datetime(6)");

                    b.Property<DateTime?>("LatestViewOn")
                        .HasColumnType("datetime(6)");

                    b.Property<Guid>("SchoolId")
                        .HasColumnType("char(36)");

                    b.Property<long>("TotalActivitiesIn6Month")
                        .HasColumnType("bigint");

                    b.HasKey("CourseReviewId");

                    b.HasIndex("CourseReviewId", "SchoolId");

                    b.ToTable("CourseReviewActivitySummaries");
                });

            modelBuilder.Entity("Kempus.Entities.CourseReviewEntity", b =>
                {
                    b.Property<long>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("bigint");

                    b.Property<string>("Characteristics")
                        .HasColumnType("longtext");

                    b.Property<string>("Comment")
                        .HasColumnType("longtext");

                    b.Property<Guid?>("CourseId")
                        .HasColumnType("char(36)");

                    b.Property<Guid>("CreatedBy")
                        .HasColumnType("char(36)");

                    b.Property<DateTime>("CreatedDate")
                        .HasColumnType("datetime(6)");

                    b.Property<Guid>("DeletedBy")
                        .HasColumnType("char(36)");

                    b.Property<DateTime?>("DeletedDate")
                        .HasColumnType("datetime(6)");

                    b.Property<byte>("DifficultRating")
                        .HasColumnType("tinyint unsigned");

                    b.Property<byte>("GradingCriteriaRating")
                        .HasColumnType("tinyint unsigned");

                    b.Property<Guid>("Guid")
                        .HasColumnType("char(36)");

                    b.Property<double>("HoursSpend")
                        .HasColumnType("double");

                    b.Property<bool>("IsDeleted")
                        .HasColumnType("tinyint(1)");

                    b.Property<bool>("IsRequiredGroupProject")
                        .HasColumnType("tinyint(1)");

                    b.Property<bool>("IsRequiredTextBook")
                        .HasColumnType("tinyint(1)");

                    b.Property<byte>("NumberOfExams")
                        .HasColumnType("tinyint unsigned");

                    b.Property<byte>("RecommendRating")
                        .HasColumnType("tinyint unsigned");

                    b.Property<Guid?>("SchoolId")
                        .HasColumnType("char(36)");

                    b.Property<byte>("Status")
                        .HasColumnType("tinyint unsigned");

                    b.Property<Guid>("UpdatedBy")
                        .HasColumnType("char(36)");

                    b.Property<DateTime?>("UpdatedDate")
                        .HasColumnType("datetime(6)");

                    b.Property<byte>("UserAchievementRating")
                        .HasColumnType("tinyint unsigned");

                    b.Property<byte>("UserGrade")
                        .HasColumnType("tinyint unsigned");

                    b.Property<Guid?>("UserId")
                        .HasColumnType("char(36)");

                    b.HasKey("Id");

                    b.HasIndex("Guid");

                    b.HasIndex("IsDeleted");

                    b.ToTable("CourseReviews");
                });

            modelBuilder.Entity("Kempus.Entities.CourseReviewLikeEntity", b =>
                {
                    b.Property<long>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("bigint");

                    b.Property<Guid>("CourseReviewId")
                        .HasColumnType("char(36)");

                    b.Property<DateTime>("CreatedDate")
                        .HasColumnType("datetime(6)");

                    b.Property<Guid>("Guid")
                        .HasColumnType("char(36)");

                    b.Property<Guid>("SchoolId")
                        .HasColumnType("char(36)");

                    b.Property<Guid>("UserId")
                        .HasColumnType("char(36)");

                    b.HasKey("Id");

                    b.HasIndex("Guid", "CourseReviewId", "SchoolId", "UserId");

                    b.ToTable("CourseReviewLikes");
                });

            modelBuilder.Entity("Kempus.Entities.CourseSummaryEntity", b =>
                {
                    b.Property<long>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("bigint");

                    b.Property<double>("CourseDifficultyRate")
                        .HasColumnType("double");

                    b.Property<Guid>("CourseId")
                        .HasColumnType("char(36)");

                    b.Property<double>("GoalsAchivedRate")
                        .HasColumnType("double");

                    b.Property<double>("GradingCriteriaRate")
                        .HasColumnType("double");

                    b.Property<Guid>("Guid")
                        .HasColumnType("char(36)");

                    b.Property<double>("HoursPerWeekRate")
                        .HasColumnType("double");

                    b.Property<bool>("IsGroupProjects")
                        .HasColumnType("tinyint(1)");

                    b.Property<bool>("IsTextbookRequired")
                        .HasColumnType("tinyint(1)");

                    b.Property<byte>("NumberOfExams")
                        .HasColumnType("tinyint unsigned");

                    b.Property<double>("RecommendedRate")
                        .HasColumnType("double");

                    b.Property<string>("StudentGradePercents")
                        .IsRequired()
                        .HasColumnType("longtext");

                    b.Property<string>("TopThreeCharacteristicInstructors")
                        .IsRequired()
                        .HasColumnType("longtext");

                    b.Property<int>("TotalReviews")
                        .HasColumnType("int");

                    b.HasKey("Id");

                    b.HasIndex("Guid", "CourseId");

                    b.ToTable("CourseSummaries");
                });

            modelBuilder.Entity("Kempus.Entities.DegreeEntity", b =>
                {
                    b.Property<long>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("bigint");

                    b.Property<Guid>("CreatedBy")
                        .HasColumnType("char(36)");

                    b.Property<DateTime>("CreatedDate")
                        .HasColumnType("datetime(6)");

                    b.Property<Guid>("DeletedBy")
                        .HasColumnType("char(36)");

                    b.Property<DateTime?>("DeletedDate")
                        .HasColumnType("datetime(6)");

                    b.Property<Guid>("Guid")
                        .HasColumnType("char(36)");

                    b.Property<bool>("IsActivated")
                        .HasColumnType("tinyint(1)");

                    b.Property<bool>("IsDeleted")
                        .HasColumnType("tinyint(1)");

                    b.Property<string>("Name")
                        .HasColumnType("longtext");

                    b.Property<Guid?>("SchoolId")
                        .HasColumnType("char(36)");

                    b.Property<Guid>("UpdatedBy")
                        .HasColumnType("char(36)");

                    b.Property<DateTime?>("UpdatedDate")
                        .HasColumnType("datetime(6)");

                    b.HasKey("Id");

                    b.HasIndex("Guid");

                    b.HasIndex("IsDeleted");

                    b.ToTable("Degrees");

                    b.HasData(
                        new
                        {
                            Id = 1L,
                            CreatedBy = new Guid("36a4cb3a-72b4-49e2-a302-f360ffd805f7"),
                            CreatedDate = new DateTime(2022, 1, 1, 0, 0, 0, 0, DateTimeKind.Unspecified),
                            DeletedBy = new Guid("00000000-0000-0000-0000-000000000000"),
                            Guid = new Guid("f4c49fe1-ad78-4ad8-9929-f6ce31f1fdc1"),
                            IsActivated = true,
                            IsDeleted = false,
                            Name = "Undergraduate",
                            SchoolId = new Guid("a8c5f021-4f6c-11ed-ba4c-02c3445b6529"),
                            UpdatedBy = new Guid("00000000-0000-0000-0000-000000000000")
                        },
                        new
                        {
                            Id = 2L,
                            CreatedBy = new Guid("36a4cb3a-72b4-49e2-a302-f360ffd805f7"),
                            CreatedDate = new DateTime(2022, 1, 1, 0, 0, 0, 0, DateTimeKind.Unspecified),
                            DeletedBy = new Guid("00000000-0000-0000-0000-000000000000"),
                            Guid = new Guid("32d258b3-0c71-4a9b-9d20-03f410540522"),
                            IsActivated = true,
                            IsDeleted = false,
                            Name = "Graduate",
                            SchoolId = new Guid("a8c5f021-4f6c-11ed-ba4c-02c3445b6529"),
                            UpdatedBy = new Guid("00000000-0000-0000-0000-000000000000")
                        });
                });

            modelBuilder.Entity("Kempus.Entities.DepartmentProgramEntity", b =>
                {
                    b.Property<long>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("bigint");

                    b.Property<Guid>("CreatedBy")
                        .HasColumnType("char(36)");

                    b.Property<DateTime>("CreatedDate")
                        .HasColumnType("datetime(6)");

                    b.Property<Guid>("DeletedBy")
                        .HasColumnType("char(36)");

                    b.Property<DateTime?>("DeletedDate")
                        .HasColumnType("datetime(6)");

                    b.Property<byte>("GeneratedTypeId")
                        .HasColumnType("tinyint unsigned");

                    b.Property<Guid>("Guid")
                        .HasColumnType("char(36)");

                    b.Property<bool>("IsDeleted")
                        .HasColumnType("tinyint(1)");

                    b.Property<string>("Name")
                        .IsRequired()
                        .HasColumnType("longtext");

                    b.Property<Guid>("SchoolId")
                        .HasColumnType("char(36)");

                    b.Property<byte>("Status")
                        .HasColumnType("tinyint unsigned");

                    b.Property<Guid>("UpdatedBy")
                        .HasColumnType("char(36)");

                    b.Property<DateTime?>("UpdatedDate")
                        .HasColumnType("datetime(6)");

                    b.HasKey("Id");

                    b.HasIndex("IsDeleted");

                    b.ToTable("DepartmentPrograms");
                });

            modelBuilder.Entity("Kempus.Entities.EmailTemplateEntity", b =>
                {
                    b.Property<long>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("bigint");

                    b.Property<string>("Content")
                        .IsRequired()
                        .HasColumnType("longtext");

                    b.Property<Guid>("Guid")
                        .HasColumnType("char(36)");

                    b.Property<string>("Title")
                        .IsRequired()
                        .HasColumnType("longtext");

                    b.Property<string>("Type")
                        .IsRequired()
                        .HasColumnType("longtext");

                    b.HasKey("Id");

                    b.HasIndex("Guid");

                    b.ToTable("EmailTemplates");

                    b.HasData(
                        new
                        {
                            Id = 1L,
                            Content = "Your OTP is {0}",
                            Guid = new Guid("50a4cb3a-72b4-49e2-a302-f360ffd805f7"),
                            Title = "Kempus OTP",
                            Type = "SEND_OTP"
                        },
                        new
                        {
                            Id = 2L,
                            Content = "Link reset password: {0}",
                            Guid = new Guid("43d8051d-57fb-4f37-aec9-54e26f48f850"),
                            Title = "Kempus - Confirm Reset Password",
                            Type = "CONFIRM_RESET_PASSWORD"
                        },
                        new
                        {
                            Id = 3L,
                            Content = "Your OTP is {0}.\r\n                      Please use that OTP to reset the password by following the link below:\r\n                      {1}",
                            Guid = new Guid("68d8051d-57fb-4f37-aec9-54e26f48f890"),
                            Title = "Kempus - Reset Password",
                            Type = "CMS_CONFIRM_RESET_PASSWORD"
                        },
                        new
                        {
                            Id = 4L,
                            Content = "{0} opened on Kempus.\r\n                      You can register a new account using the link below:\r\n                      {1}",
                            Guid = new Guid("90d8051d-57fb-4f37-aec9-54e26f48f111"),
                            Title = "Kempus - Sign Up",
                            Type = "CMS_SEND_MAIL_WAITLIST"
                        },
                        new
                        {
                            Id = 5L,
                            Content = "Your OTP is {0}.\r\n                      Please use that OTP to reset the password by following the link below:\r\n                      {1}",
                            Guid = new Guid("c01173c4-0ae9-4337-bfcc-07bc555059b8"),
                            Title = "Kempus - Reset Password",
                            Type = "SITE_CONFIRM_RESET_PASSWORD"
                        });
                });

            modelBuilder.Entity("Kempus.Entities.FileUploadTrackingEntity", b =>
                {
                    b.Property<long>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("bigint");

                    b.Property<Guid>("CreatedBy")
                        .HasColumnType("char(36)");

                    b.Property<DateTime>("CreatedDate")
                        .HasColumnType("datetime(6)");

                    b.Property<Guid>("DeletedBy")
                        .HasColumnType("char(36)");

                    b.Property<DateTime?>("DeletedDate")
                        .HasColumnType("datetime(6)");

                    b.Property<string>("FileName")
                        .IsRequired()
                        .HasColumnType("longtext");

                    b.Property<long>("FileSize")
                        .HasColumnType("bigint");

                    b.Property<string>("FileUrl")
                        .IsRequired()
                        .HasColumnType("longtext");

                    b.Property<Guid>("Guid")
                        .HasColumnType("char(36)");

                    b.Property<int>("Height")
                        .HasColumnType("int");

                    b.Property<bool>("IsDeleted")
                        .HasColumnType("tinyint(1)");

                    b.Property<bool>("IsUsing")
                        .HasColumnType("tinyint(1)");

                    b.Property<Guid>("SchoolId")
                        .HasColumnType("char(36)");

                    b.Property<string>("Type")
                        .IsRequired()
                        .HasColumnType("longtext");

                    b.Property<Guid>("UpdatedBy")
                        .HasColumnType("char(36)");

                    b.Property<DateTime?>("UpdatedDate")
                        .HasColumnType("datetime(6)");

                    b.Property<int>("Width")
                        .HasColumnType("int");

                    b.HasKey("Id");

                    b.HasIndex("IsDeleted");

                    b.ToTable("FileUploadTrackings");
                });

            modelBuilder.Entity("Kempus.Entities.FlagEntity", b =>
                {
                    b.Property<long>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("bigint");

                    b.Property<string>("AdminDescription")
                        .HasColumnType("longtext");

                    b.Property<string>("ContentUrl")
                        .HasColumnType("longtext");

                    b.Property<Guid>("CreatedBy")
                        .HasColumnType("char(36)");

                    b.Property<DateTime>("CreatedDate")
                        .HasColumnType("datetime(6)");

                    b.Property<Guid>("DeletedBy")
                        .HasColumnType("char(36)");

                    b.Property<DateTime?>("DeletedDate")
                        .HasColumnType("datetime(6)");

                    b.Property<string>("Description")
                        .IsRequired()
                        .HasColumnType("longtext");

                    b.Property<Guid>("FlaggedUser")
                        .HasColumnType("char(36)");

                    b.Property<Guid>("Guid")
                        .HasColumnType("char(36)");

                    b.Property<bool>("IsDeleted")
                        .HasColumnType("tinyint(1)");

                    b.Property<Guid>("ObjectId")
                        .HasColumnType("char(36)");

                    b.Property<byte>("ObjectType")
                        .HasColumnType("tinyint unsigned");

                    b.Property<string>("Reason")
                        .IsRequired()
                        .HasColumnType("longtext");

                    b.Property<Guid>("SchoolId")
                        .HasColumnType("char(36)");

                    b.Property<byte>("Status")
                        .HasColumnType("tinyint unsigned");

                    b.Property<Guid>("UpdatedBy")
                        .HasColumnType("char(36)");

                    b.Property<DateTime?>("UpdatedDate")
                        .HasColumnType("datetime(6)");

                    b.HasKey("Id");

                    b.HasIndex("Guid");

                    b.HasIndex("IsDeleted");

                    b.ToTable("Flags");
                });

            modelBuilder.Entity("Kempus.Entities.InstructorEntity", b =>
                {
                    b.Property<long>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("bigint");

                    b.Property<Guid>("CreatedBy")
                        .HasColumnType("char(36)");

                    b.Property<DateTime>("CreatedDate")
                        .HasColumnType("datetime(6)");

                    b.Property<Guid>("DeletedBy")
                        .HasColumnType("char(36)");

                    b.Property<DateTime?>("DeletedDate")
                        .HasColumnType("datetime(6)");

                    b.Property<byte>("GeneratedTypeId")
                        .HasColumnType("tinyint unsigned");

                    b.Property<Guid>("Guid")
                        .HasColumnType("char(36)");

                    b.Property<bool>("IsActivated")
                        .HasColumnType("tinyint(1)");

                    b.Property<bool>("IsDeleted")
                        .HasColumnType("tinyint(1)");

                    b.Property<string>("Name")
                        .IsRequired()
                        .HasColumnType("longtext");

                    b.Property<Guid>("SchoolId")
                        .HasColumnType("char(36)");

                    b.Property<Guid>("UpdatedBy")
                        .HasColumnType("char(36)");

                    b.Property<DateTime?>("UpdatedDate")
                        .HasColumnType("datetime(6)");

                    b.HasKey("Id");

                    b.HasIndex("Guid");

                    b.HasIndex("IsDeleted");

                    b.ToTable("Instructors");
                });

            modelBuilder.Entity("Kempus.Entities.KempTransactionEntity", b =>
                {
                    b.Property<long>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("bigint");

                    b.Property<byte>("Action")
                        .HasColumnType("tinyint unsigned");

                    b.Property<int>("Amount")
                        .HasColumnType("int");

                    b.Property<Guid>("CreatedBy")
                        .HasColumnType("char(36)");

                    b.Property<DateTime>("CreatedDate")
                        .HasColumnType("datetime(6)");

                    b.Property<Guid>("DeletedBy")
                        .HasColumnType("char(36)");

                    b.Property<DateTime?>("DeletedDate")
                        .HasColumnType("datetime(6)");

                    b.Property<Guid>("Guid")
                        .HasColumnType("char(36)");

                    b.Property<bool>("IsAdminCreated")
                        .HasColumnType("tinyint(1)");

                    b.Property<bool>("IsDeleted")
                        .HasColumnType("tinyint(1)");

                    b.Property<Guid?>("ReferenceGuid")
                        .HasColumnType("char(36)");

                    b.Property<Guid>("SchoolId")
                        .HasColumnType("char(36)");

                    b.Property<byte>("Type")
                        .HasColumnType("tinyint unsigned");

                    b.Property<Guid>("UpdatedBy")
                        .HasColumnType("char(36)");

                    b.Property<DateTime?>("UpdatedDate")
                        .HasColumnType("datetime(6)");

                    b.Property<Guid>("UserId")
                        .HasColumnType("char(36)");

                    b.HasKey("Id");

                    b.HasIndex("IsDeleted");

                    b.ToTable("KempTransactions");
                });

            modelBuilder.Entity("Kempus.Entities.KempWalletEntity", b =>
                {
                    b.Property<long>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("bigint");

                    b.Property<long>("Amount")
                        .HasColumnType("bigint");

                    b.Property<Guid>("CreatedBy")
                        .HasColumnType("char(36)");

                    b.Property<DateTime>("CreatedDate")
                        .HasColumnType("datetime(6)");

                    b.Property<Guid>("DeletedBy")
                        .HasColumnType("char(36)");

                    b.Property<DateTime?>("DeletedDate")
                        .HasColumnType("datetime(6)");

                    b.Property<Guid>("Guid")
                        .HasColumnType("char(36)");

                    b.Property<bool>("IsDeleted")
                        .HasColumnType("tinyint(1)");

                    b.Property<Guid>("UpdatedBy")
                        .HasColumnType("char(36)");

                    b.Property<DateTime?>("UpdatedDate")
                        .HasColumnType("datetime(6)");

                    b.Property<Guid>("UserId")
                        .HasColumnType("char(36)");

                    b.HasKey("Id");

                    b.HasIndex("IsDeleted");

                    b.ToTable("KempWallets");
                });

            modelBuilder.Entity("Kempus.Entities.KeywordEntity", b =>
                {
                    b.Property<long>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("bigint");

                    b.Property<Guid>("Guid")
                        .HasColumnType("char(36)");

                    b.Property<bool>("IsDeleted")
                        .HasColumnType("tinyint(1)");

                    b.Property<string>("Name")
                        .IsRequired()
                        .HasColumnType("longtext");

                    b.Property<string>("NormalizedName")
                        .IsRequired()
                        .HasColumnType("longtext");

                    b.Property<Guid?>("SchoolId")
                        .HasColumnType("char(36)");

                    b.HasKey("Id");

                    b.HasIndex("IsDeleted");

                    b.HasIndex("Guid", "SchoolId");

                    b.ToTable("Keywords");
                });

            modelBuilder.Entity("Kempus.Entities.MajorEntity", b =>
                {
                    b.Property<long>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("bigint");

                    b.Property<Guid>("CreatedBy")
                        .HasColumnType("char(36)");

                    b.Property<DateTime>("CreatedDate")
                        .HasColumnType("datetime(6)");

                    b.Property<Guid>("DeletedBy")
                        .HasColumnType("char(36)");

                    b.Property<DateTime?>("DeletedDate")
                        .HasColumnType("datetime(6)");

                    b.Property<Guid>("Guid")
                        .HasColumnType("char(36)");

                    b.Property<bool>("IsActivated")
                        .HasColumnType("tinyint(1)");

                    b.Property<bool>("IsDeleted")
                        .HasColumnType("tinyint(1)");

                    b.Property<string>("Name")
                        .HasColumnType("longtext");

                    b.Property<Guid?>("SchoolId")
                        .HasColumnType("char(36)");

                    b.Property<Guid>("UpdatedBy")
                        .HasColumnType("char(36)");

                    b.Property<DateTime?>("UpdatedDate")
                        .HasColumnType("datetime(6)");

                    b.HasKey("Id");

                    b.HasIndex("IsDeleted");

                    b.ToTable("Majors");
                });

            modelBuilder.Entity("Kempus.Entities.OtpEntity", b =>
                {
                    b.Property<long>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("bigint");

                    b.Property<DateTime>("CreatedDate")
                        .HasColumnType("datetime(6)");

                    b.Property<DateTime?>("ExpirationTime")
                        .HasColumnType("datetime(6)");

                    b.Property<Guid>("Guid")
                        .HasColumnType("char(36)");

                    b.Property<bool>("IsDeleted")
                        .HasColumnType("tinyint(1)");

                    b.Property<string>("ObjectId")
                        .IsRequired()
                        .HasColumnType("longtext");

                    b.Property<byte>("ObjectType")
                        .HasColumnType("tinyint unsigned");

                    b.Property<string>("OtpCode")
                        .IsRequired()
                        .HasColumnType("longtext");

                    b.HasKey("Id");

                    b.HasIndex("Guid");

                    b.HasIndex("IsDeleted");

                    b.ToTable("Otp");
                });

            modelBuilder.Entity("Kempus.Entities.PermissionEntity", b =>
                {
                    b.Property<int>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("int");

                    b.Property<int>("ModuleApplicationId")
                        .HasColumnType("int");

                    b.Property<string>("Name")
                        .IsRequired()
                        .HasColumnType("longtext");

                    b.Property<int>("Order")
                        .HasColumnType("int");

                    b.Property<int?>("ParentId")
                        .HasColumnType("int");

                    b.HasKey("Id");

                    b.HasIndex("ModuleApplicationId");

                    b.HasIndex("Order");

                    b.ToTable("Permission");

                    b.HasData(
                        new
                        {
                            Id = 1,
                            ModuleApplicationId = 1,
                            Name = "Able to view data",
                            Order = 0,
                            ParentId = 1
                        },
                        new
                        {
                            Id = 2,
                            ModuleApplicationId = 1,
                            Name = "Able to create or edit data",
                            Order = 1,
                            ParentId = 1
                        },
                        new
                        {
                            Id = 5,
                            ModuleApplicationId = 3,
                            Name = "Able to view data",
                            Order = 2,
                            ParentId = 1
                        },
                        new
                        {
                            Id = 6,
                            ModuleApplicationId = 3,
                            Name = "Able to create or edit data",
                            Order = 3,
                            ParentId = 1
                        },
                        new
                        {
                            Id = 7,
                            ModuleApplicationId = 4,
                            Name = "Able to view data",
                            Order = 4,
                            ParentId = 1
                        },
                        new
                        {
                            Id = 8,
                            ModuleApplicationId = 4,
                            Name = "Able to create or edit data",
                            Order = 5,
                            ParentId = 1
                        },
                        new
                        {
                            Id = 9,
                            ModuleApplicationId = 5,
                            Name = "Able to view data",
                            Order = 6,
                            ParentId = 1
                        },
                        new
                        {
                            Id = 10,
                            ModuleApplicationId = 5,
                            Name = "Able to create or edit data",
                            Order = 7,
                            ParentId = 1
                        },
                        new
                        {
                            Id = 11,
                            ModuleApplicationId = 6,
                            Name = "Able to view data",
                            Order = 8,
                            ParentId = 1
                        },
                        new
                        {
                            Id = 12,
                            ModuleApplicationId = 6,
                            Name = "Able to create or edit data",
                            Order = 9,
                            ParentId = 1
                        },
                        new
                        {
                            Id = 3,
                            ModuleApplicationId = 2,
                            Name = "Able to view data",
                            Order = 10,
                            ParentId = 2
                        },
                        new
                        {
                            Id = 4,
                            ModuleApplicationId = 2,
                            Name = "Able to create or edit data",
                            Order = 11,
                            ParentId = 2
                        },
                        new
                        {
                            Id = 13,
                            ModuleApplicationId = 7,
                            Name = "Able to view data",
                            Order = 12,
                            ParentId = 2
                        },
                        new
                        {
                            Id = 14,
                            ModuleApplicationId = 7,
                            Name = "Able to create or edit data",
                            Order = 13,
                            ParentId = 2
                        },
                        new
                        {
                            Id = 15,
                            ModuleApplicationId = 8,
                            Name = "Able to view data",
                            Order = 14,
                            ParentId = 2
                        },
                        new
                        {
                            Id = 16,
                            ModuleApplicationId = 8,
                            Name = "Able to create or edit data",
                            Order = 15,
                            ParentId = 2
                        },
                        new
                        {
                            Id = 17,
                            ModuleApplicationId = 9,
                            Name = "Able to view data",
                            Order = 16,
                            ParentId = 2
                        },
                        new
                        {
                            Id = 18,
                            ModuleApplicationId = 9,
                            Name = "Able to create or edit data",
                            Order = 17,
                            ParentId = 2
                        },
                        new
                        {
                            Id = 19,
                            ModuleApplicationId = 10,
                            Name = "Able to view data",
                            Order = 18,
                            ParentId = 2
                        },
                        new
                        {
                            Id = 20,
                            ModuleApplicationId = 10,
                            Name = "Able to create or edit data",
                            Order = 19,
                            ParentId = 2
                        },
                        new
                        {
                            Id = 21,
                            ModuleApplicationId = 11,
                            Name = "Able to view data",
                            Order = 20,
                            ParentId = 2
                        },
                        new
                        {
                            Id = 22,
                            ModuleApplicationId = 11,
                            Name = "Able to create or edit data",
                            Order = 21,
                            ParentId = 2
                        },
                        new
                        {
                            Id = 23,
                            ModuleApplicationId = 12,
                            Name = "Able to view data",
                            Order = 22,
                            ParentId = 2
                        },
                        new
                        {
                            Id = 24,
                            ModuleApplicationId = 12,
                            Name = "Able to create or edit data",
                            Order = 23,
                            ParentId = 2
                        },
                        new
                        {
                            Id = 25,
                            ModuleApplicationId = 13,
                            Name = "Able to view data",
                            Order = 24,
                            ParentId = 2
                        },
                        new
                        {
                            Id = 26,
                            ModuleApplicationId = 13,
                            Name = "Able to create or edit data",
                            Order = 25,
                            ParentId = 2
                        });
                });

            modelBuilder.Entity("Kempus.Entities.PollEntity", b =>
                {
                    b.Property<long>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("bigint");

                    b.Property<Guid>("CreatedBy")
                        .HasColumnType("char(36)");

                    b.Property<DateTime>("CreatedDate")
                        .HasColumnType("datetime(6)");

                    b.Property<Guid>("DeletedBy")
                        .HasColumnType("char(36)");

                    b.Property<DateTime?>("DeletedDate")
                        .HasColumnType("datetime(6)");

                    b.Property<Guid>("Guid")
                        .HasColumnType("char(36)");

                    b.Property<bool>("IsDeleted")
                        .HasColumnType("tinyint(1)");

                    b.Property<Guid>("PostId")
                        .HasColumnType("char(36)");

                    b.Property<int>("Type")
                        .HasColumnType("int");

                    b.Property<Guid>("UpdatedBy")
                        .HasColumnType("char(36)");

                    b.Property<DateTime?>("UpdatedDate")
                        .HasColumnType("datetime(6)");

                    b.HasKey("Id");

                    b.HasIndex("Guid");

                    b.HasIndex("IsDeleted");

                    b.ToTable("Polls");
                });

            modelBuilder.Entity("Kempus.Entities.PollOptionEntity", b =>
                {
                    b.Property<long>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("bigint");

                    b.Property<string>("Content")
                        .IsRequired()
                        .HasColumnType("longtext");

                    b.Property<Guid>("CreatedBy")
                        .HasColumnType("char(36)");

                    b.Property<DateTime>("CreatedDate")
                        .HasColumnType("datetime(6)");

                    b.Property<Guid>("DeletedBy")
                        .HasColumnType("char(36)");

                    b.Property<DateTime?>("DeletedDate")
                        .HasColumnType("datetime(6)");

                    b.Property<Guid>("Guid")
                        .HasColumnType("char(36)");

                    b.Property<bool>("IsDeleted")
                        .HasColumnType("tinyint(1)");

                    b.Property<Guid>("PollId")
                        .HasColumnType("char(36)");

                    b.Property<Guid>("UpdatedBy")
                        .HasColumnType("char(36)");

                    b.Property<DateTime?>("UpdatedDate")
                        .HasColumnType("datetime(6)");

                    b.HasKey("Id");

                    b.HasIndex("Guid");

                    b.HasIndex("IsDeleted");

                    b.ToTable("PollOptions");
                });

            modelBuilder.Entity("Kempus.Entities.PostCommentEntity", b =>
                {
                    b.Property<long>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("bigint");

                    b.Property<string>("Content")
                        .IsRequired()
                        .HasColumnType("longtext");

                    b.Property<Guid>("CreatedBy")
                        .HasColumnType("char(36)");

                    b.Property<DateTime>("CreatedDate")
                        .HasColumnType("datetime(6)");

                    b.Property<Guid>("Guid")
                        .HasColumnType("char(36)");

                    b.Property<bool>("IsPublished")
                        .HasColumnType("tinyint(1)");

                    b.Property<Guid?>("ParentId")
                        .HasColumnType("char(36)");

                    b.Property<Guid>("PostId")
                        .HasColumnType("char(36)");

                    b.Property<byte>("Type")
                        .HasColumnType("tinyint unsigned");

                    b.HasKey("Id");

                    b.HasIndex("Guid", "ParentId");

                    b.ToTable("PostComments");
                });

            modelBuilder.Entity("Kempus.Entities.PostEntity", b =>
                {
                    b.Property<long>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("bigint");

                    b.Property<string>("Content")
                        .IsRequired()
                        .HasMaxLength(10000)
                        .HasColumnType("varchar(10000)");

                    b.Property<Guid>("CreatedBy")
                        .HasColumnType("char(36)");

                    b.Property<DateTime>("CreatedDate")
                        .HasColumnType("datetime(6)");

                    b.Property<Guid>("DeletedBy")
                        .HasColumnType("char(36)");

                    b.Property<DateTime?>("DeletedDate")
                        .HasColumnType("datetime(6)");

                    b.Property<Guid>("Guid")
                        .HasColumnType("char(36)");

                    b.Property<bool>("IsDeleted")
                        .HasColumnType("tinyint(1)");

                    b.Property<bool>("IsPinned")
                        .HasColumnType("tinyint(1)");

                    b.Property<bool>("IsPublished")
                        .HasColumnType("tinyint(1)");

                    b.Property<string>("Keywords")
                        .IsRequired()
                        .HasColumnType("longtext");

                    b.Property<DateTime?>("PinnedDate")
                        .HasColumnType("datetime(6)");

                    b.Property<Guid?>("SchoolId")
                        .HasColumnType("char(36)");

                    b.Property<string>("Title")
                        .IsRequired()
                        .HasColumnType("longtext");

                    b.Property<Guid?>("TopicId")
                        .HasColumnType("char(36)");

                    b.Property<byte>("Type")
                        .HasColumnType("tinyint unsigned");

                    b.Property<Guid>("UpdatedBy")
                        .HasColumnType("char(36)");

                    b.Property<DateTime?>("UpdatedDate")
                        .HasColumnType("datetime(6)");

                    b.HasKey("Id");

                    b.HasIndex("IsDeleted");

                    b.HasIndex("Guid", "TopicId", "SchoolId");

                    b.ToTable("Posts");
                });

            modelBuilder.Entity("Kempus.Entities.PostKeywordEntity", b =>
                {
                    b.Property<long>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("bigint");

                    b.Property<Guid>("Guid")
                        .HasColumnType("char(36)");

                    b.Property<Guid>("KeywordId")
                        .HasColumnType("char(36)");

                    b.Property<Guid>("PostId")
                        .HasColumnType("char(36)");

                    b.HasKey("Id");

                    b.HasIndex("Guid", "PostId", "KeywordId");

                    b.ToTable("PostKeywords");
                });

            modelBuilder.Entity("Kempus.Entities.PostPoll7daysActivityEntity", b =>
                {
                    b.Property<Guid>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("char(36)");

                    b.Property<byte>("ActionId")
                        .HasColumnType("tinyint unsigned");

                    b.Property<DateTime>("CreatedDate")
                        .HasColumnType("datetime(6)");

                    b.Property<Guid>("ObjectId")
                        .HasColumnType("char(36)");

                    b.Property<byte>("ObjectType")
                        .HasColumnType("tinyint unsigned");

                    b.Property<Guid>("SchoolId")
                        .HasColumnType("char(36)");

                    b.HasKey("Id");

                    b.HasIndex("ObjectId", "ObjectType", "ActionId", "SchoolId");

                    b.ToTable("PostPoll7daysActivities");
                });

            modelBuilder.Entity("Kempus.Entities.PostPollActivityEntity", b =>
                {
                    b.Property<Guid>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("char(36)");

                    b.Property<byte>("ActionId")
                        .HasColumnType("tinyint unsigned");

                    b.Property<DateTime>("CreatedDate")
                        .HasColumnType("datetime(6)");

                    b.Property<Guid>("ObjectId")
                        .HasColumnType("char(36)");

                    b.Property<byte>("ObjectType")
                        .HasColumnType("tinyint unsigned");

                    b.Property<Guid>("SchoolId")
                        .HasColumnType("char(36)");

                    b.HasKey("Id");

                    b.ToTable("PostPollActivities");
                });

            modelBuilder.Entity("Kempus.Entities.PostPollActivitySummaryEntity", b =>
                {
                    b.Property<Guid>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("char(36)");

                    b.Property<DateTime>("CreatedDate")
                        .HasColumnType("datetime(6)");

                    b.Property<Guid>("ObjectId")
                        .HasColumnType("char(36)");

                    b.Property<byte>("ObjectType")
                        .HasColumnType("tinyint unsigned");

                    b.Property<Guid>("SchoolId")
                        .HasColumnType("char(36)");

                    b.Property<long>("TotalCommentIn7days")
                        .HasColumnType("bigint");

                    b.Property<long>("TotalLikeIn7days")
                        .HasColumnType("bigint");

                    b.HasKey("Id");

                    b.ToTable("PostPollActivitySummaries");
                });

            modelBuilder.Entity("Kempus.Entities.PostPollLikeEntity", b =>
                {
                    b.Property<long>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("bigint");

                    b.Property<DateTime>("CreatedDate")
                        .HasColumnType("datetime(6)");

                    b.Property<Guid>("Guid")
                        .HasColumnType("char(36)");

                    b.Property<Guid>("ObjectId")
                        .HasColumnType("char(36)");

                    b.Property<byte>("ObjectType")
                        .HasColumnType("tinyint unsigned");

                    b.Property<Guid>("UserId")
                        .HasColumnType("char(36)");

                    b.HasKey("Id");

                    b.HasIndex("Guid", "ObjectId", "ObjectType", "UserId");

                    b.ToTable("PostPollLikes");
                });

            modelBuilder.Entity("Kempus.Entities.RoleEntity", b =>
                {
                    b.Property<long>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("bigint");

                    b.Property<string>("ConcurrencyStamp")
                        .IsConcurrencyToken()
                        .HasColumnType("longtext");

                    b.Property<Guid>("CreatedBy")
                        .HasColumnType("char(36)");

                    b.Property<DateTime>("CreatedDate")
                        .HasColumnType("datetime(6)");

                    b.Property<Guid?>("DeletedBy")
                        .HasColumnType("char(36)");

                    b.Property<DateTime?>("DeletedDate")
                        .HasColumnType("datetime(6)");

                    b.Property<Guid>("Guid")
                        .HasColumnType("char(36)");

                    b.Property<bool>("IsActive")
                        .HasColumnType("tinyint(1)");

                    b.Property<bool>("IsDeleted")
                        .HasColumnType("tinyint(1)");

                    b.Property<string>("Name")
                        .IsRequired()
                        .HasMaxLength(256)
                        .HasColumnType("varchar(256)");

                    b.Property<string>("NormalizedName")
                        .HasMaxLength(256)
                        .HasColumnType("varchar(256)");

                    b.Property<Guid?>("UpdatedBy")
                        .HasColumnType("char(36)");

                    b.Property<DateTime?>("UpdatedDate")
                        .HasColumnType("datetime(6)");

                    b.HasKey("Id");

                    b.HasIndex("Name")
                        .IsUnique();

                    b.HasIndex("NormalizedName")
                        .IsUnique()
                        .HasDatabaseName("RoleNameIndex");

                    b.ToTable("AspNetRoles", (string)null);

                    b.HasData(
                        new
                        {
                            Id = 1L,
                            ConcurrencyStamp = "60cc76fc-7464-4857-bc0d-a11e36d9e3f3",
                            CreatedBy = new Guid("36a4cb3a-72b4-49e2-a302-f360ffd805f7"),
                            CreatedDate = new DateTime(2022, 11, 9, 0, 0, 0, 0, DateTimeKind.Unspecified),
                            Guid = new Guid("984e0e97-0667-4332-b237-7ad88bc1367e"),
                            IsActive = true,
                            IsDeleted = false,
                            Name = "Super Admin"
                        });
                });

            modelBuilder.Entity("Kempus.Entities.RolePermissionEntity", b =>
                {
                    b.Property<long>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("bigint");

                    b.Property<int>("PermissionId")
                        .HasColumnType("int");

                    b.Property<long>("RoleId")
                        .HasColumnType("bigint");

                    b.HasKey("Id");

                    b.HasIndex("PermissionId");

                    b.HasIndex("RoleId");

                    b.ToTable("RolePermission");

                    b.HasData(
                        new
                        {
                            Id = 1L,
                            PermissionId = 1,
                            RoleId = 1L
                        },
                        new
                        {
                            Id = 2L,
                            PermissionId = 2,
                            RoleId = 1L
                        },
                        new
                        {
                            Id = 3L,
                            PermissionId = 3,
                            RoleId = 1L
                        },
                        new
                        {
                            Id = 4L,
                            PermissionId = 4,
                            RoleId = 1L
                        },
                        new
                        {
                            Id = 5L,
                            PermissionId = 5,
                            RoleId = 1L
                        },
                        new
                        {
                            Id = 6L,
                            PermissionId = 6,
                            RoleId = 1L
                        },
                        new
                        {
                            Id = 7L,
                            PermissionId = 7,
                            RoleId = 1L
                        },
                        new
                        {
                            Id = 8L,
                            PermissionId = 8,
                            RoleId = 1L
                        },
                        new
                        {
                            Id = 9L,
                            PermissionId = 9,
                            RoleId = 1L
                        },
                        new
                        {
                            Id = 10L,
                            PermissionId = 10,
                            RoleId = 1L
                        },
                        new
                        {
                            Id = 11L,
                            PermissionId = 11,
                            RoleId = 1L
                        },
                        new
                        {
                            Id = 12L,
                            PermissionId = 12,
                            RoleId = 1L
                        },
                        new
                        {
                            Id = 13L,
                            PermissionId = 13,
                            RoleId = 1L
                        },
                        new
                        {
                            Id = 14L,
                            PermissionId = 14,
                            RoleId = 1L
                        },
                        new
                        {
                            Id = 15L,
                            PermissionId = 15,
                            RoleId = 1L
                        },
                        new
                        {
                            Id = 16L,
                            PermissionId = 16,
                            RoleId = 1L
                        },
                        new
                        {
                            Id = 17L,
                            PermissionId = 17,
                            RoleId = 1L
                        },
                        new
                        {
                            Id = 18L,
                            PermissionId = 18,
                            RoleId = 1L
                        },
                        new
                        {
                            Id = 19L,
                            PermissionId = 19,
                            RoleId = 1L
                        },
                        new
                        {
                            Id = 20L,
                            PermissionId = 20,
                            RoleId = 1L
                        },
                        new
                        {
                            Id = 21L,
                            PermissionId = 21,
                            RoleId = 1L
                        },
                        new
                        {
                            Id = 22L,
                            PermissionId = 22,
                            RoleId = 1L
                        },
                        new
                        {
                            Id = 23L,
                            PermissionId = 23,
                            RoleId = 1L
                        },
                        new
                        {
                            Id = 24L,
                            PermissionId = 24,
                            RoleId = 1L
                        },
                        new
                        {
                            Id = 25L,
                            PermissionId = 25,
                            RoleId = 1L
                        },
                        new
                        {
                            Id = 26L,
                            PermissionId = 26,
                            RoleId = 1L
                        });
                });

            modelBuilder.Entity("Kempus.Entities.SchoolEntity", b =>
                {
                    b.Property<long>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("bigint");

                    b.Property<Guid>("CreatedBy")
                        .HasColumnType("char(36)");

                    b.Property<DateTime>("CreatedDate")
                        .HasColumnType("datetime(6)");

                    b.Property<Guid>("DeletedBy")
                        .HasColumnType("char(36)");

                    b.Property<DateTime?>("DeletedDate")
                        .HasColumnType("datetime(6)");

                    b.Property<string>("EmailDomain")
                        .IsRequired()
                        .HasColumnType("longtext");

                    b.Property<Guid>("Guid")
                        .HasColumnType("char(36)");

                    b.Property<bool>("IsActivated")
                        .HasColumnType("tinyint(1)");

                    b.Property<bool>("IsDeleted")
                        .HasColumnType("tinyint(1)");

                    b.Property<bool>("IsRequiredReferralCode")
                        .HasColumnType("tinyint(1)");

                    b.Property<bool>("IsShowHomePage")
                        .HasColumnType("tinyint(1)");

                    b.Property<DateTime?>("LastUpdateStatusDateTime")
                        .HasColumnType("datetime(6)");

                    b.Property<string>("Name")
                        .IsRequired()
                        .HasColumnType("longtext");

                    b.Property<string>("PrimaryColor")
                        .IsRequired()
                        .HasColumnType("longtext");

                    b.Property<string>("SecondaryColor")
                        .IsRequired()
                        .HasColumnType("longtext");

                    b.Property<Guid>("UpdatedBy")
                        .HasColumnType("char(36)");

                    b.Property<DateTime?>("UpdatedDate")
                        .HasColumnType("datetime(6)");

                    b.HasKey("Id");

                    b.HasIndex("Guid");

                    b.HasIndex("IsDeleted");

                    b.ToTable("Schools");
                });

            modelBuilder.Entity("Kempus.Entities.SchoolLifeTimeAnalyticEntity", b =>
                {
                    b.Property<Guid>("Guid")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("char(36)");

                    b.Property<long>("CreatedBy")
                        .HasColumnType("bigint");

                    b.Property<DateTime>("CreatedDate")
                        .HasColumnType("datetime(6)");

                    b.Property<long>("DeletedBy")
                        .HasColumnType("bigint");

                    b.Property<DateTime?>("DeletedDate")
                        .HasColumnType("datetime(6)");

                    b.Property<long>("Id")
                        .HasColumnType("bigint");

                    b.Property<bool>("IsDeleted")
                        .HasColumnType("tinyint(1)");

                    b.Property<long>("NoOfWaitList")
                        .HasColumnType("bigint");

                    b.Property<Guid>("SchoolId")
                        .HasColumnType("char(36)");

                    b.Property<long>("UpdatedBy")
                        .HasColumnType("bigint");

                    b.Property<DateTime?>("UpdatedDate")
                        .HasColumnType("datetime(6)");

                    b.Property<int>("Users")
                        .HasColumnType("int");

                    b.HasKey("Guid");

                    b.HasIndex("IsDeleted");

                    b.ToTable("SchoolLifeTimeAnalytics");
                });

            modelBuilder.Entity("Kempus.Entities.StatisticsEntity", b =>
                {
                    b.Property<long>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("bigint");

                    b.Property<Guid>("CreatedUser")
                        .HasColumnType("char(36)");

                    b.Property<Guid>("Guid")
                        .HasColumnType("char(36)");

                    b.Property<long>("NumberOfComment")
                        .HasColumnType("bigint");

                    b.Property<long>("NumberOfLike")
                        .HasColumnType("bigint");

                    b.Property<long>("NumberOfView")
                        .HasColumnType("bigint");

                    b.Property<long>("NumberOfVote")
                        .HasColumnType("bigint");

                    b.Property<Guid>("ObjectId")
                        .HasColumnType("char(36)");

                    b.Property<byte>("ObjectType")
                        .HasColumnType("tinyint unsigned");

                    b.HasKey("Id");

                    b.HasIndex("Guid", "ObjectId", "ObjectType", "CreatedUser");

                    b.ToTable("Statistics");
                });

            modelBuilder.Entity("Kempus.Entities.TopicEntity", b =>
                {
                    b.Property<long>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("bigint");

                    b.Property<Guid>("CreatedBy")
                        .HasColumnType("char(36)");

                    b.Property<DateTime>("CreatedDate")
                        .HasColumnType("datetime(6)");

                    b.Property<Guid>("DeletedBy")
                        .HasColumnType("char(36)");

                    b.Property<DateTime?>("DeletedDate")
                        .HasColumnType("datetime(6)");

                    b.Property<Guid>("Guid")
                        .HasColumnType("char(36)");

                    b.Property<bool>("IsActivated")
                        .HasColumnType("tinyint(1)");

                    b.Property<bool>("IsDeleted")
                        .HasColumnType("tinyint(1)");

                    b.Property<string>("Name")
                        .IsRequired()
                        .HasColumnType("longtext");

                    b.Property<Guid>("SchoolId")
                        .HasColumnType("char(36)");

                    b.Property<Guid>("UpdatedBy")
                        .HasColumnType("char(36)");

                    b.Property<DateTime?>("UpdatedDate")
                        .HasColumnType("datetime(6)");

                    b.HasKey("Id");

                    b.HasIndex("IsDeleted");

                    b.HasIndex("Guid", "SchoolId");

                    b.ToTable("Topics");
                });

            modelBuilder.Entity("Kempus.Entities.UserLoginHistoryEntity", b =>
                {
                    b.Property<Guid>("Guid")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("char(36)");

                    b.Property<DateTime>("CreatedDate")
                        .HasColumnType("datetime(6)");

                    b.Property<string>("Device")
                        .HasColumnType("longtext");

                    b.Property<string>("IP")
                        .HasColumnType("longtext");

                    b.Property<Guid>("UserId")
                        .HasColumnType("char(36)");

                    b.HasKey("Guid");

                    b.HasIndex("UserId");

                    b.ToTable("UserLoginHistory");
                });

            modelBuilder.Entity("Kempus.Entities.UserReferralStatisticEntity", b =>
                {
                    b.Property<Guid>("Guid")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("char(36)");

                    b.Property<Guid?>("CreatedBy")
                        .HasColumnType("char(36)");

                    b.Property<DateTime>("CreatedDate")
                        .HasColumnType("datetime(6)");

                    b.Property<long>("NumberFirstReviewsWrote")
                        .HasColumnType("bigint");

                    b.Property<long>("NumberFriendsInvited")
                        .HasColumnType("bigint");

                    b.Property<Guid?>("UpdatedBy")
                        .HasColumnType("char(36)");

                    b.Property<DateTime?>("UpdatedDate")
                        .HasColumnType("datetime(6)");

                    b.Property<Guid>("UserId")
                        .HasColumnType("char(36)");

                    b.HasKey("Guid");

                    b.HasIndex("UserId");

                    b.ToTable("UserReferralStatistics");
                });

            modelBuilder.Entity("Kempus.Entities.UserRefreshTokenEntity", b =>
                {
                    b.Property<long>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("bigint");

                    b.Property<DateTime>("ExpirationTime")
                        .HasColumnType("datetime(6)");

                    b.Property<string>("RefreshToken")
                        .HasMaxLength(100)
                        .HasColumnType("varchar(100)");

                    b.Property<string>("UserAgent")
                        .HasColumnType("longtext");

                    b.Property<Guid>("UserId")
                        .HasColumnType("char(36)");

                    b.Property<string>("UserIp")
                        .HasColumnType("longtext");

                    b.HasKey("Id");

                    b.HasIndex("ExpirationTime");

                    b.HasIndex("RefreshToken");

                    b.HasIndex("UserId");

                    b.ToTable("UserRefreshToken");
                });

            modelBuilder.Entity("Kempus.Entities.UserRoleEntity", b =>
                {
                    b.Property<long>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("bigint");

                    b.Property<long>("RoleId")
                        .HasColumnType("bigint");

                    b.Property<Guid>("UserId")
                        .HasColumnType("char(36)");

                    b.HasKey("Id");

                    b.HasIndex("RoleId");

                    b.HasIndex("UserId");

                    b.ToTable("UserRole");

                    b.HasData(
                        new
                        {
                            Id = 1L,
                            RoleId = 1L,
                            UserId = new Guid("36a4cb3a-72b4-49e2-a302-f360ffd805f7")
                        });
                });

            modelBuilder.Entity("Kempus.Entities.UserTrackingEntity", b =>
                {
                    b.Property<long>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("bigint");

                    b.Property<string>("ActionName")
                        .HasColumnType("longtext");

                    b.Property<DateTime>("CreatedDate")
                        .HasColumnType("datetime(6)");

                    b.Property<Guid>("Guid")
                        .HasColumnType("char(36)");

                    b.Property<Guid?>("ObjectId")
                        .HasColumnType("char(36)");

                    b.Property<string>("ObjectType")
                        .HasColumnType("longtext");

                    b.Property<string>("Page")
                        .HasColumnType("longtext");

                    b.Property<string>("Platform")
                        .HasColumnType("longtext");

                    b.Property<Guid?>("UserId")
                        .HasColumnType("char(36)");

                    b.HasKey("Id");

                    b.ToTable("UserTrackings");
                });

            modelBuilder.Entity("Kempus.Entities.ViewTrackingEntity", b =>
                {
                    b.Property<long>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("bigint");

                    b.Property<DateTime>("CreatedDate")
                        .HasColumnType("datetime(6)");

                    b.Property<Guid>("Guid")
                        .HasColumnType("char(36)");

                    b.Property<Guid?>("ObjectId")
                        .HasColumnType("char(36)");

                    b.Property<string>("ObjectType")
                        .HasColumnType("longtext");

                    b.Property<Guid>("UserId")
                        .HasColumnType("char(36)");

                    b.HasKey("Id");

                    b.ToTable("ViewTrackings");
                });

            modelBuilder.Entity("Kempus.Entities.VoteEntity", b =>
                {
                    b.Property<long>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("bigint");

                    b.Property<Guid>("Guid")
                        .HasColumnType("char(36)");

                    b.Property<Guid>("PollOptionId")
                        .HasColumnType("char(36)");

                    b.Property<Guid>("VoteUserId")
                        .HasColumnType("char(36)");

                    b.HasKey("Id");

                    b.HasIndex("Guid", "PollOptionId", "VoteUserId");

                    b.ToTable("Votes");
                });

            modelBuilder.Entity("Kempus.Entities.VoteUserEntity", b =>
                {
                    b.Property<long>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("bigint");

                    b.Property<DateTime>("CreatedDate")
                        .HasColumnType("datetime(6)");

                    b.Property<Guid>("CreatedUser")
                        .HasColumnType("char(36)");

                    b.Property<Guid>("Guid")
                        .HasColumnType("char(36)");

                    b.Property<Guid>("PollId")
                        .HasColumnType("char(36)");

                    b.HasKey("Id");

                    b.HasIndex("Guid", "CreatedUser", "PollId");

                    b.ToTable("VoteUsers");
                });

            modelBuilder.Entity("Kempus.Entities.WaitListEntity", b =>
                {
                    b.Property<Guid>("Guid")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("char(36)");

                    b.Property<string>("Email")
                        .IsRequired()
                        .HasColumnType("varchar(255)");

                    b.Property<Guid>("SchoolId")
                        .HasColumnType("char(36)");

                    b.HasKey("Guid");

                    b.HasIndex("Email", "SchoolId");

                    b.ToTable("WaitList");
                });

            modelBuilder.Entity("Microsoft.AspNetCore.Identity.IdentityRoleClaim<long>", b =>
                {
                    b.Property<int>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("int");

                    b.Property<string>("ClaimType")
                        .HasColumnType("longtext");

                    b.Property<string>("ClaimValue")
                        .HasColumnType("longtext");

                    b.Property<long>("RoleId")
                        .HasColumnType("bigint");

                    b.HasKey("Id");

                    b.HasIndex("RoleId");

                    b.ToTable("AspNetRoleClaims", (string)null);
                });

            modelBuilder.Entity("Microsoft.AspNetCore.Identity.IdentityUserClaim<long>", b =>
                {
                    b.Property<int>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("int");

                    b.Property<string>("ClaimType")
                        .HasColumnType("longtext");

                    b.Property<string>("ClaimValue")
                        .HasColumnType("longtext");

                    b.Property<long>("UserId")
                        .HasColumnType("bigint");

                    b.HasKey("Id");

                    b.HasIndex("UserId");

                    b.ToTable("AspNetUserClaims", (string)null);
                });

            modelBuilder.Entity("Microsoft.AspNetCore.Identity.IdentityUserLogin<long>", b =>
                {
                    b.Property<string>("LoginProvider")
                        .HasColumnType("varchar(255)");

                    b.Property<string>("ProviderKey")
                        .HasColumnType("varchar(255)");

                    b.Property<string>("ProviderDisplayName")
                        .HasColumnType("longtext");

                    b.Property<long>("UserId")
                        .HasColumnType("bigint");

                    b.HasKey("LoginProvider", "ProviderKey");

                    b.HasIndex("UserId");

                    b.ToTable("AspNetUserLogins", (string)null);
                });

            modelBuilder.Entity("Microsoft.AspNetCore.Identity.IdentityUserRole<long>", b =>
                {
                    b.Property<long>("UserId")
                        .HasColumnType("bigint");

                    b.Property<long>("RoleId")
                        .HasColumnType("bigint");

                    b.HasKey("UserId", "RoleId");

                    b.HasIndex("RoleId");

                    b.ToTable("AspNetUserRoles", (string)null);
                });

            modelBuilder.Entity("Microsoft.AspNetCore.Identity.IdentityUserToken<long>", b =>
                {
                    b.Property<long>("UserId")
                        .HasColumnType("bigint");

                    b.Property<string>("LoginProvider")
                        .HasColumnType("varchar(255)");

                    b.Property<string>("Name")
                        .HasColumnType("varchar(255)");

                    b.Property<string>("Value")
                        .HasColumnType("longtext");

                    b.HasKey("UserId", "LoginProvider", "Name");

                    b.ToTable("AspNetUserTokens", (string)null);
                });

            modelBuilder.Entity("Microsoft.AspNetCore.Identity.IdentityRoleClaim<long>", b =>
                {
                    b.HasOne("Kempus.Entities.RoleEntity", null)
                        .WithMany()
                        .HasForeignKey("RoleId")
                        .OnDelete(DeleteBehavior.Cascade)
                        .IsRequired();
                });

            modelBuilder.Entity("Microsoft.AspNetCore.Identity.IdentityUserClaim<long>", b =>
                {
                    b.HasOne("Kempus.Entities.ApplicationUser", null)
                        .WithMany()
                        .HasForeignKey("UserId")
                        .OnDelete(DeleteBehavior.Cascade)
                        .IsRequired();
                });

            modelBuilder.Entity("Microsoft.AspNetCore.Identity.IdentityUserLogin<long>", b =>
                {
                    b.HasOne("Kempus.Entities.ApplicationUser", null)
                        .WithMany()
                        .HasForeignKey("UserId")
                        .OnDelete(DeleteBehavior.Cascade)
                        .IsRequired();
                });

            modelBuilder.Entity("Microsoft.AspNetCore.Identity.IdentityUserRole<long>", b =>
                {
                    b.HasOne("Kempus.Entities.RoleEntity", null)
                        .WithMany()
                        .HasForeignKey("RoleId")
                        .OnDelete(DeleteBehavior.Cascade)
                        .IsRequired();

                    b.HasOne("Kempus.Entities.ApplicationUser", null)
                        .WithMany()
                        .HasForeignKey("UserId")
                        .OnDelete(DeleteBehavior.Cascade)
                        .IsRequired();
                });

            modelBuilder.Entity("Microsoft.AspNetCore.Identity.IdentityUserToken<long>", b =>
                {
                    b.HasOne("Kempus.Entities.ApplicationUser", null)
                        .WithMany()
                        .HasForeignKey("UserId")
                        .OnDelete(DeleteBehavior.Cascade)
                        .IsRequired();
                });
#pragma warning restore 612, 618
        }
    }
}
